#ifndef CUSTOM_ICON_SELECT_H
#define CUSTOM_ICON_SELECT_H

#include <QLabel>

class CustomIconSelect: public QWidget
{
Q_OBJECT
public:
    CustomIconSelect(const QList<int> &icon_sizes, const QString &pix_path,  const QString &local_data_path, QWidget *parent = 0);
    ~CustomIconSelect();

public Q_SLOTS:
    void save();

private Q_SLOTS:
    void clearPixmap();
    void selectPixmap();
    void pixmapSelected(const QString&);

private:
    QList<int> sizes;
    int min_size;
    int max_size;
    QPixmap pix_min;
    QPixmap pix_max;
    QString last_directory;
    QString orig_path;
    QString custom_path;
    QString overlay_path;
    QLabel *pix_min_lbl;
    QLabel *pix_max_lbl;

    void applyPixmap(QPixmap &pix, const QPixmap &overlay);
};

#endif
